%define name gkrellm
%define version 0.9.7
%define release 1mdk

Name:		%{name}
Summary:	Multiple stacked system monitors: 1 process.
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Monitoring
URL:		http://gkrellm.net/
Source0:	%{name}-%{version}.tar.bz2
Source1:	plugin_fan.c
Source2:	seti.c
Source3:	Makefile.plugin_fan
Source4:	Makefile.seti
Patch:		%{name}.patch.bz2
Requires:	gtk+ >= 1.2, glib >= 1.2, imlib
BuildRoot:	/var/tmp/%{name}-buildroot
Prefix:		/usr/X11R6
Packager:	Vincent Danen <vdanen@linux-mandrake.com>

%description
GKrellM charts SMP CPU, load, Disk, and all active net interfaces
automatically. An on/off button and online timer for the PPP interface
is provided. Monitors for memory and swap usage, file system, internet
connections, APM laptop battery, mbox style mailboxes, and cpu temps.
Also includes an uptime monitor, a hostname label, and a clock/calendar.
Additional features are:

  * Autoscaling grid lines with configurable grid line resolution.
  * LED indicators for the net interfaces.
  * A gui popup for configuration of chart sizes and resolutions.

%prep
%setup -q
cp $RPM_SOURCE_DIR/plugin_fan.c $RPM_SOURCE_DIR/seti.c $RPM_SOURCE_DIR/Makefile.seti $RPM_SOURCE_DIR/Makefile.plugin_fan $RPM_BUILD_DIR/%{name}-%{version}/plugins

%patch -p1


%build
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT
make CFLAGS="$RPM_OPT_FLAGS"
cd $RPM_BUILD_DIR/%{name}-%{version}/plugins
make CFLAGS="$RPM_OPT_FLAGS" -f Makefile.plugin_fan
make CFLAGS="$RPM_OPT_FLAGS" -f Makefile.seti


%install
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
make install INSTALLDIR=$RPM_BUILD_ROOT%{prefix}
mkdir -p $RPM_BUILD_ROOT/usr/share/%{name}/plugins
install $RPM_BUILD_DIR/%{name}-%{version}/plugins/plugin_fan.so $RPM_BUILD_ROOT/usr/share/%{name}/plugins
install $RPM_BUILD_DIR/%{name}-%{version}/plugins/seti.so $RPM_BUILD_ROOT/usr/share/%{name}/plugins

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/gkrellm <<EOF
?package(gkrellm):\
command="/usr/X11R6/bin/gkrellm"\
title="Gkrellm"\
longtitle="a gtk-based monitoring app"\
needs="x11"\
section="Applications/Monitoring"
EOF
)    

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
  fi
   
%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi 


%files
%defattr(-,root,root,0755)
%{prefix}/bin/gkrellm
%doc COPYRIGHT Changelog README Themes Themes.Changelog gkrellmrc
/usr/share/gkrellm/plugins/*
/usr/lib/menu/*

%changelog
* Mon Apr 10 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9.7-1mdk
- fix group
- add menu entry

* Fri Mar 24 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.9.7

* Sun Mar 12 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.9.6
- Added seti@home plugin by Henry Palonen <henkka@yty.net>
- Added plugin to to display fan speeds by Jarkko Lietolahti <jappe@iki.fi>
- since plugins (currently) need to be in ~/.gkrellm/plugins, you must
  symlink to the plugins in /usr/share/gkrellm/plugins

* Fri Mar 3 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.9.5

* Mon Feb 28 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.9.4
- libgtop is no longer required

* Thu Feb 24 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.9.3

* Wed Feb 23 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.9.1

* Tue Feb 22 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.9.0
- libgtop-devel is now required but it seems to be broken as the
  glibtop-config.h is in /usr/lib/libgtop/include and not /usr/include/ like
  it should be (you must manually copy before building the RPM)

* Sun Feb 13 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.8.1

* Mon Dec 06 1999 Lenny Cartier <lenny@mandrakesoft.com>
- 0.7.5

* Fri Nov 19 1999 Lenny Cartier <lenny@mandrakesoft.com>
- New in contrib
- Used the SRPMS provided by Vincent Danen
- bz2 archive
- 0.7.4

* Wed Nov 17 1999 Vincent Danen <vdanen@linux-mandrake.com>
- updated specfile for Mandrake contribution

* Thu Nov 11 1999 Vincent Danen <vdanen@softhome.net>
- wrote spec file
- 0.7.3
